<?php
/**
 * Article title slider
 *
 * @package 	Article title slider
 * @subpackage 	mod_article_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/04/article-title-slider-joomla-module/
 */

defined('_JEXEC') or die;

$ats_speed 		= (int) $params->get('ats_speed', 700);
$ats_timeout 	= (int) $params->get('ats_timeout', 5000);
$ats_css 		= $params->get('ats_css', 'SLIDER9');
$ats_scroll 	= $params->get('ats_direction_scroll', 'scrollLeft');

if(!is_numeric($ats_timeout)) {
	$ats_timeout = 5000;
}
if(!is_numeric($ats_speed)) {
	$ats_speed = 700;
}

if ( ! empty($items) ) 
{
	$ats_count = 0;
	echo '<div id="ARTICLE-TITLE-'.$ats_css.'">';
	foreach ( $items as $item ) 
	{
		$ats_title 	= $item->title;
		$ats_link 	= $item->link;	
		echo '<p><a href="'.$ats_link.'">'.$ats_title.'</a></p>';
		$ats_count++;
	}
	echo '</div>';
	?>
	<!-- start Article title slider -->
	<script type="text/javascript">
	jQuery.noConflict();
	jQuery(function() {
	jQuery('#ARTICLE-TITLE-<?php echo $ats_css; ?>').cycle({
		fx: '<?php echo $ats_scroll; ?>',
		speed: <?php echo $ats_speed; ?>,
		timeout: <?php echo $ats_timeout; ?>
	});
	});
	</script>
	<!-- end Article title slider -->
	<?php
}
?>